// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 200
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  : CatalogNetworkPartitioningException.java
//
// Source File Description:
//
//    See javadoc.
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// feature       XD61     Oct 28, 2007       haowang   Created
// ------------ --------- ------------ --------- -----------------------------------------


package com.ibm.websphere.objectgrid;

/**
 * This exception is used to indicate that the catalog servers are partitioned into different groups
 *
 * @since WAS XD 6.1 FIX3
 */
public class CatalogNetworkPartitioningException extends ObjectGridException{

    /**
     * The <code>serialVersionUID</code> for this class.
     */
    private static final long serialVersionUID = -4497037898919866L;

	 /**
     * Constructs a new CatalogNetworkPartitionException with <code>null</code> as its detail
     * message. The cause is not initialized, and may subsequently be initialized
     * by a call to the <code>initCause</code> method.  In addition the failure
     * code is initialized to <code>UNKNOWN</code>.
     *
     */
	public CatalogNetworkPartitioningException() {
		super();
	}
}
