// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  DataObjectEntry.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b22183       7.1.1      2/22/2011   cdjohnson Creation, new code.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins.io.dataobject;

/**
 * A common interface for all data object wrappers.
 * @since 7.1.1
 */
public interface DataObjectEntry {

    /**
     * Return the Object form of the data object.  Sub-interfaces will define
     * their own contract if the Object is to be copied prior to being returned
     * or not.
     * @return the object instance.
     */
    public <T> T getObject();

}
