// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2011
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  DataObjectValueFactory.java
//
// Source File Description: Reference JavaDoc
//
// Change Activity:
//
// Reason       Version   Date         Userid    Change Description
// ------------ --------- ------------ --------- -----------------------------------------
// b22183       7.1.1      2/22/2011   cdjohnson Creation, new code.
// ------------ --------- ------------ --------- -----------------------------------------
package com.ibm.websphere.objectgrid.plugins.io.dataobject;


/**
 * A factory for creating a data object value.
 * @since 7.1.1
 */
public interface DataObjectValueFactory {
    /**
     * Create a new SerializedValue wrapper for the value data.
     * @param data the serialized form of the value
     * @return the value wrapper.
     */
    public SerializedValue createValue(byte data[]);
}