// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2012
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  FalseFilter.java
//
// Source File Description:
//
// This filter always returns FALSE.
package com.ibm.websphere.objectgrid.continuousquery.filter;

/**
 * This Filter always returns FALSE
 * @since 8.6
 */
public class FalseFilter extends AbstractCQFilter<Object,Object,Object,Object> {

    private static final long serialVersionUID = 4147923417356251171L;
    
    public FalseFilter() { }

    public boolean filter(FilterContent content) {
        return false;
    }

    /**
     * @see AbstractCQFilter#createString()
     * 
     * @return "FALSE"
     */
    public String createString() {
        return "FALSE";
    }
}
