// IBM Confidential OCO Source Material
// 5724-J34 (C) COPYRIGHT International Business Machines Corp. 2012
// The source code for this program is not published or otherwise divested
// of its trade secrets, irrespective of what has been deposited with the
// U.S. Copyright Office.
//
// $Id$
//
// Module  :  TrueFilter.java
//
// Source File Description:
//
// This filter always returns TRUE.
package com.ibm.websphere.objectgrid.continuousquery.filter;

/**
 * This filter always passes.
 * @since 8.6  
 */
public class TrueFilter extends AbstractCQFilter<Object,Object,Object,Object> {

    private static final long serialVersionUID = -7173686843551135547L;
    
    public TrueFilter() { }

    public boolean filter(FilterContent content) {
        return true;
    }
    
    /**
     * @see AbstractCQFilter#createString()
     * 
     * @return "TRUE"
     */
    public String createString() {
        return "TRUE";
    }
    
}
